# Enum Class TreeBiPartitionInfo.DistanceNorm

java.lang.Object
java.lang.Enum<TreeBiPartitionInfo.DistanceNorm>
jebl.evolution.trees.TreeBiPartitionInfo.DistanceNorm

All Implemented Interfaces:
  `Serializable, Comparable<TreeBiPartitionInfo.DistanceNorm>, Constable`

Enclosing class:
  `TreeBiPartitionInfo`

public static enum TreeBiPartitionInfo.DistanceNorm extends Enum<TreeBiPartitionInfo.DistanceNorm>

Version:
  $Id: TreeBiPartitionInfo.java 923 2008-06-15 20:45:11Z pepster $
Author:
  Joseph Heled

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NORM1`
`NORM2`

## Method Summary

Modifier and Type
Method
Description
`static TreeBiPartitionInfo.DistanceNorm`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TreeBiPartitionInfo.DistanceNorm[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NORM1

public static final TreeBiPartitionInfo.DistanceNorm NORM1

### NORM2

public static final TreeBiPartitionInfo.DistanceNorm NORM2

## Method Details

### values

public static TreeBiPartitionInfo.DistanceNorm[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TreeBiPartitionInfo.DistanceNorm valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null